# $Revision: 1.11 $, $Date: 2012/04/14 18:08:55 $
# NOTE:
# - the plugin's feature to check plugin freshness compares mtime of shared libs provided on project homepage:
#   static void skype_plugin_update_check(void)
#        basename = g_path_get_basename(this_plugin->path);
#        purple_util_fetch_url(g_strconcat("http://eion.robbmob.com/version?version=", basename, NULL),
#   which could be largely bogus depending when we build our package, touch
#   *.so after build with reference of source files? source tarball?
%define		svnrev	628
Summary:	Skype API Plugin for Pidgin/libpurple/Adium
Name:		libpurple-protocol-skype
Version:	20120215
Release:	1
License:	GPL v3
Group:		Applications/Communications
Source0:	skype4pidgin-r%{svnrev}.tar.bz2
# Source0-md5:	0196b4674d07b53c36fda78c3e9be685
Source1:	get-source.sh
URL:		http://code.google.com/p/skype4pidgin/
BuildRequires:	gettext-devel
BuildRequires:	glib-devel
BuildRequires:	libpurple-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires:	skype-program
Provides:	libpurple-protocol
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view
and chat with all your Skype buddies from within Pidgin/Adium. You
still need Skype to be running to be able to use it, but it lets you
keep a consistent user interface and use all the other nifty
Pidgin/Adium plugins with it, like spell-checking or OTR encryption.

%prep
%setup -qn skype4pidgin-r%{svnrev}
%{__sed} -i -e 's,\r$,,' README.txt
%{__sed} -i -e 's,-g -march=athlon-xp -O2 -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,-g -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,-g -march=athlon-xp -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,gcc,$(CC),' Makefile
%{__sed} -i -e 's,/usr/lib/purple-2,%{_libdir}/purple-2,' Makefile
# we want libfoo.so, not libfoo64.so, so pretend we're always building 32bit lib
%{__sed} -i -e 's,${LINUX32_COMPILER},$(CC),' Makefile

# yes it is weird place to find version date, because he this time forgot to update changelog
version=$(awk -F'"' '/define PRODUCT_VERSION/{print $2}' skype4pidgin.nsi)
if [ "[$version]" != "[$(date '+%d-%b-%Y' -d %{version})]" ]; then
	:
#	exit 1
fi

%build
%{__make} \
	libskype_dbus.so all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"
	LIBPURPLE_CFLAGS="$(pkg-config --cflags purple)" \
	GLIB_CFLAGS="$(pkg-config --cflags glib)" \
	DBUS_CFLAGS="$(pkg-config --cflags dbus-glib-1)" \

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt COPYING.txt README.txt TODO.txt
%attr(755,root,root) %{_libdir}/purple-2/libskype.so
%attr(755,root,root) %{_libdir}/purple-2/libskype_dbus.so
%dir %{_pixmapsdir}/pidgin/emotes/skype
%{_pixmapsdir}/pidgin/emotes/skype/theme
%{_pixmapsdir}/pidgin/protocols/*/skype.png
%{_pixmapsdir}/pidgin/protocols/*/skypeout.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpurple-protocol-skype.spec,v $
Revision 1.11  2012/04/14 18:08:55  glen
- there's no visible place to extract version of revision from source

Revision 1.10  2012/04/14 18:06:10  glen
- up to svn r628 (dated 2012-02-15), pidgin 2.8+ support

Revision 1.9  2011/06/22 10:46:23  glen
- up to 20110407 snap, svn r612

Revision 1.8  2011/01/28 02:07:53  sparky
- BR: xorg-lib-libX11-devel (yes, it is used directly)

Revision 1.7  2010/10/26 15:13:04  glen
- up to 20100826

Revision 1.6  2010/05/22 21:24:29  sparky
- BR: gettext-devel, glib-devel, pkgconfig
- dropped BR: glib2-devel

Revision 1.5  2010/04/29 11:08:35  glen
- some thinko about plugin up to date check

Revision 1.4  2010/04/28 13:28:08  glen
- use date from changelog as version (as debian/ubuntu does)
- 20100121-1 released then

Revision 1.3  2010/04/27 15:54:27  glen
- up to svn 579

Revision 1.2  2009/12/22 11:54:54  uzsolt
- provides libpurple-protocol

Revision 1.1  2009/12/22 10:17:25  glen
- new, works for me
